Page MenuHomePhabricator

Make SCHEMA_COMPAT_NEW the default MCR migration schema
Closed, ResolvedPublic

Description

This is a trivial change but conceptually a milestone.

This is targeted to be complete for the MediaWiki 1.34 release.

Required testing: update.php must work correctly after this change is implemented.

This epic cannot begin until T231671 is complete. Ideally, this epic should not begin until T231672 is complete.

Tasks:

  • in DefaultSettings.php, set $wgMultiContentRevisionSchemaMigrationStage = SCHEMA_COMPAT_NEW;

Related Objects

StatusSubtypeAssignedTask
StalledNone
OpenNone
Resolveddaniel
ResolvedClarakosi
ResolvedNone
ResolvedCCicalese_WMF
ResolvedCCicalese_WMF
Resolveddaniel
ResolvedPchelolo
Resolveddaniel
ResolvedBPirkle
ResolvedPchelolo
ResolvedClarakosi
Resolveddaniel
ResolvedPchelolo
ResolvedPchelolo
ResolvedPchelolo
ResolvedPchelolo
ResolvedPchelolo
Resolveddaniel
Resolveddaniel
Resolvedholger.knust
ResolvedPchelolo
ResolvedNone
ResolvedNone
Resolveddaniel

Event Timeline

CCicalese_WMF triaged this task as Medium priority.Aug 30 2019, 5:43 PM
CCicalese_WMF created this task.
CCicalese_WMF added a project: MW-1.34-release.

Hey there, should this be moved to 1.35? The cut is a couple of weeks away. If it needs to go out in 1.34, is there anything I can do to help get it out of the door?

daniel added a subscriber: daniel.Sep 6 2019, 8:57 AM

Hey there, should this be moved to 1.35? The cut is a couple of weeks away. If it needs to go out in 1.34, is there anything I can do to help get it out of the door?

I really hope this can make the cut 1.34. We need a release for this to settle, before we remove the migration code, and it would be really annoying if code for the pre-MCR schema made it into 1.35, since that's an LTS release. We'd have to maintain it for several more years.

The change here is trivial, but it's blocked on fixing some remaining usages of the old schema in core and critical extensions, specifically the Translate extension. CPT has been actively working on this and we have resolved the (hopefully) last big blocker last week, see T228988: Create batch access interface for page content.

We'll keep chipping away at the remaining blockers, and hopefully, we'll be able to flip this switch by the cut-off date.

daniel updated the task description. (Show Details)Oct 28 2019, 1:41 PM
daniel updated the task description. (Show Details)

Change 546715 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[mediawiki/core@master] [DNM] Set MCR migration stage to SCHEMA_COMPAT_NEW.

https://gerrit.wikimedia.org/r/546715

@Krinkle, I had added this as a subtask to T232023 at @Reedy's suggestion to indicate that it is blocking the MW 1.34 release.

Change 549903 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[mediawiki/core@master] Stop creating pre-MCR fields

https://gerrit.wikimedia.org/r/549903

Change 546715 merged by jenkins-bot:
[mediawiki/core@master] Set MCR migration stage to SCHEMA_COMPAT_NEW.

https://gerrit.wikimedia.org/r/546715

Change 551592 had a related patch set uploaded (by Jforrester; owner: Daniel Kinzler):
[mediawiki/core@REL1_34] Set MCR migration stage to SCHEMA_COMPAT_NEW.

https://gerrit.wikimedia.org/r/551592

Change 551592 merged by jenkins-bot:
[mediawiki/core@REL1_34] Set MCR migration stage to SCHEMA_COMPAT_NEW.

https://gerrit.wikimedia.org/r/551592

Jdforrester-WMF closed this task as Resolved.Nov 22 2019, 10:07 PM
Jdforrester-WMF assigned this task to daniel.
CCicalese_WMF moved this task from Doing to Done! on the Platform Team Workboards (Epics) board.